fo_notify(1)

NAME
fo_notify - Display upload job status. Optionally send email.

SYNOPSIS
fo_notify [-e email-address] [-h] [-j <job-name>] [-n user-name] -u <upload-id>

DESCRIPTION
fo_notify is a dual purpose command. The main purpose of fo_notify is to act as the email notification agent when email notificiation is turned on for a user account in the Graphical User Interface. The status is sent in email and is reported as aborted, failed, still active or done based on the job queue data-base entries for that upload. The command can also be run as a cli to report the status of the upload or send email about it's status.

The command simply queues the email on the system. The command assumes that email has been configured properly on the system.

  Options

-e email-address
    Supply an optional email address to send the results to. If this option is given, then no output to the terminal will be supplied. The results are queued in the mail subsystem using the specified address. Minimal checking is done on the email address format, make sure it's correct.

-h  Standard help flag, prints usage.

-j <job-name>
    Optional job name. Using this option will change the name of the job in the message. The job name supplied will be used instead of the name that was used for the upload at upload time.

-n <user-name>
    Supply a different user name for the message. This simply changes the name of the addressee in the message that is sent via email. If no email is being sent, this option has no effect. NOTE, this is not the email address.

    For example, if the user login is goofy, but the user wants to address the message to the real name of the person. Using the above example, without -n <user-name> would mean that the message starts with Dear goofy, ..... using -n 'Mr. Natural' would change the message to say Dear Mr. Natural,.....

-u <upload-id>
    The upload id to report on. Use fossjobs to find the upload id or the UI.

  Examples
Display the job status for upload 99.

fo_notify -u 99

would report the status of upload 99.

send email instead

fo_notify -e me@somebody.com -u 99

Would queue email to me@somebody.com with the results for upload 99.

Authors
Mark Donohoe